<h1>Register</h1>

<form (ngSubmit)="register()">
    <label for="email">Email :</label>
    <input type="email" name="email" id="email" [(ngModel)]="user.email">

    <label for="password">Password :</label>
    <input type="password" name="password" id="password" [(ngModel)]="user.password">

    <label for="repeat">Repeat Password :</label>
    <input type="password" name="repeat" id="repeat" [(ngModel)]="repeat">
    <p *ngIf="user.password !== repeat">Password does not match</p>

    <button [disabled]="!validForm()">Register</button>
</form>

<p *ngIf="message">{{message}}</p>